> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getnimbus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get APR data for a specific protocol



## OpenAPI

````yaml /api-reference/openapi.json get /v2/farming/apr/{protocol}
openapi: 3.0.0
info:
  title: Nimbus API
  version: 1.0.0
  description: >-
    API for Nimbus


    ## Rate Limiting

    This API implements rate limiting to ensure fair usage and protect our
    services. The current rate limit is:


    - **40 requests per 1 minute** per IP address


    If you exceed this limit, you will receive a 429 (Too Many Requests)
    response. Please wait for the rate limit window to reset before making
    additional requests.


    If you need more, please contact us at **thanhle@getnimbus.io** or TG
    **@thanhle27** to get premium API Key.
servers:
  - url: https://api.getnimbus.io
    description: API server
security: []
tags: []
paths:
  /v2/farming/apr/{protocol}:
    get:
      tags:
        - Farming
      summary: Get APR data for a specific protocol
      parameters:
        - in: path
          name: protocol
          required: true
          schema:
            type: string
          example: scallop
          description: The protocol slug
        - in: query
          name: minTvl
          schema:
            type: number
          description: The minimum TVL of the protocol
        - in: query
          name: maxTvl
          schema:
            type: number
          description: The maximum TVL of the protocol
        - in: query
          name: chain
          schema:
            type: string
            default: SUI
          example: SUI
          description: The chain of the protocol
        - in: query
          name: type
          schema:
            type: string
            enum:
              - LP
              - VAULT
              - STAKING
              - LENDING
              - BORROW
          description: The type of the vault
      responses:
        '200':
          description: Protocol APR data
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/APRData'
        '400':
          description: Missing protocol parameter
        '500':
          description: Server error
components:
  schemas:
    APRData:
      type: object
      properties:
        minApr:
          type: string
          description: Minimum APR value for the interval
        maxApr:
          type: string
          description: Maximum APR value for the interval
        minApy:
          type: string
          description: Minimum APY value for the interval
        maxApy:
          type: string
          description: Maximum APY value for the interval
        minBaseApr:
          type: string
          description: Minimum base APR value for the interval
        maxBaseApr:
          type: string
          description: Maximum base APR value for the interval
        minRewardsApr:
          type: string
          description: Minimum rewards APR value for the interval
        maxRewardsApr:
          type: string
          description: Maximum rewards APR value for the interval
        minBaseApy:
          type: string
          description: Minimum base APY value for the interval
        maxBaseApy:
          type: string
          description: Maximum base APY value for the interval
        minRewardsApy:
          type: string
          description: Minimum rewards APY value for the interval
        maxRewardsApy:
          type: string
          description: Maximum rewards APY value for the interval
        minTvl:
          type: string
          description: Minimum Total Value Locked for the interval
        maxTvl:
          type: string
          description: Maximum Total Value Locked for the interval
        interval:
          type: string
          enum:
            - 1h
          description: Time interval for the APR data
        type:
          type: string
          description: Type of the vault
        chain:
          type: string
          description: Chain
          example: SUI

````